node-errs_0.3.2-1_all.deb


Advertisement

Description

node-errs - Simple error creation and passing utilities

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-errs_0.3.2-1_all.deb
Package name node-errs
Package version 0.3.2
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/indexzero/errs
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 8.20 KB
Installed size 31.00 KB
Simple error creation and passing utilities focused on:
Creating Errors
Reusing Error Types
Merging with Existing Errors
Optional Callback Invocation
Piping Error Events
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-errs_0.3.2-1_all.deb 0.3.2 all Ubuntu Universe
node-errs - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-errs_0.3.2-1_all.deb
Source Package node-errs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-errs deb package:
    # sudo apt-get install node-errs

Files

Path
/usr/lib/nodejs/errs/package.json
/usr/lib/nodejs/errs/lib/errs.js
/usr/share/doc/node-errs/README.md.gz
/usr/share/doc/node-errs/changelog.Debian.gz
/usr/share/doc/node-errs/copyright
/usr/share/doc/node-errs/examples/async-uncaught-exception.js
/usr/share/doc/node-errs/examples/custom-error.js
/usr/share/doc/node-errs/examples/handling-streams.js
/usr/share/doc/node-errs/examples/stack.js
/usr/share/doc/node-errs/examples/sync-uncaught-exception.js

Changelog

2016-06-11 - Thorsten Alteholz <debian@alteholz.de>
node-errs (0.3.2-1) unstable; urgency=medium
* Initial release

See Also

Package Description
node-es5-ext_0.10.30-1_all.deb ECMAScript extensions and shims
node-es5-shim_4.5.12-1_all.deb ECMAScript 5 compatibility shims for old JavaScript engines (Node.js)
node-es6-error_4.1.1-1_all.deb Easily-extendable error for use with ES6 classes
node-es6-iterator_2.0.1-1_all.deb ECMAScript 6 Iterator interface
node-es6-map_0.1.5-1_all.deb ECMAScript6 Map polyfill
node-es6-module-transpiler_0.10.0-2_all.deb Module transpiler from ECMAScript 6 for Node.js
node-es6-promise_4.2.5-2_all.deb Lightweight async code library for JavaScript (Node.js module)
node-es6-set_0.1.5-1_all.deb ECMAScript6 Set polyfill
node-es6-shim_0.35.4+ds-2_all.deb ECMAScript 6 shims for legacy JavaScript engines (Node.js)
node-es6-symbol_3.1.1-1_all.deb ECMAScript 6 Symbol polyfill
node-es6-weak-map_2.0.2-1_all.deb ECMAScript6 WeakMap polyfill
node-escape-html_1.0.3-1_all.deb simply escape HTML entities
node-escape-string-regexp_1.0.5-1_all.deb Escape RegExp special characters in Node.js
node-escodegen_1.11.0+dfsg-1build1_all.deb ECMAScript code generator
node-escope_3.6.0+ds-2_all.deb ECMAScript scope analyzer
Advertisement
Advertisement